[PC-BSD Commits] r12893 - pcbsd/current/src-sh/pc-updatemanager/scripts
svn at pcbsd.org
svn at pcbsd.org
Tue Sep 20 08:35:25 PDT 2011
Author: kris
Date: 2011-09-20 08:35:25 -0700 (Tue, 20 Sep 2011)
New Revision: 12893
Modified:
pcbsd/current/src-sh/pc-updatemanager/scripts/mu-stage2
Log:
Fix issue upgrading, make sure we do nvidia driver last so it doesn't get
its files overwritten by other things :)
Modified: pcbsd/current/src-sh/pc-updatemanager/scripts/mu-stage2
===================================================================
--- pcbsd/current/src-sh/pc-updatemanager/scripts/mu-stage2 2011-09-20 15:13:33 UTC (rev 12892)
+++ pcbsd/current/src-sh/pc-updatemanager/scripts/mu-stage2 2011-09-20 15:35:25 UTC (rev 12893)
@@ -20,9 +20,20 @@
cd "${STAGEDIR}/packages"
for i in `ls *.tbz`
do
+ echo "$i" | grep -q -e "nvidia"
+ if [ $? -eq 0 ] ; then continue ; fi
+
pkg_add -f "$i" >/dev/null 2>/dev/null
echo -e ".\c"
done
+
+# Load any nvidia drivers last
+for i in `ls *nvidia*.tbz`
+do
+ pkg_add -f "$i" >/dev/null 2>/dev/null
+ echo -e ".\c"
+done
+
echo -e "DONE"
cd /
More information about the Commits
mailing list